﻿using GHIElectronics.TinyCLR.Devices.Gpio;
using GHIElectronics.TinyCLR.Pins;
using System.Threading;

namespace TCLR_FEZ_LED1_Btn1
{
    class Program
    {
        static void Main()
        {
            var gpio = GpioController.GetDefault();
            var LED1 = gpio.OpenPin(FEZ.GpioPin.Led1);
            LED1.SetDriveMode(GpioPinDriveMode.Output);
            var btn1 = gpio.OpenPin(FEZ.GpioPin.Btn1);
            btn1.SetDriveMode(GpioPinDriveMode.InputPullUp);

            while (true)
            {
                if (btn1.Read() == GpioPinValue.High)
                {
                    LED1.Write(GpioPinValue.Low);
                }
                else
                {
                    LED1.Write(GpioPinValue.High);
                }
                Thread.Sleep(10);
            }
        }
    }
}
